:top
rem Let's make sure we are on the right drive...
c:
rem ...and in the right directory.
cd \citadel
rem If CTDLTABL.SYS doesn't exist, jump to the place where we run CONFG.
if not exist ctdltabl.sys goto DoConfg
rem If you have an 80286 or higher CPU, you can use CTDL286 instead of CTDL
rem on the next line.
ctdl
rem If you used #event for an external event, the errorlevel you used will be
rem set and you can check for it here. It will be at least 11, so put it
rem before the StackCrash line.
if errorlevel 5 goto StackCrash
if errorlevel 4 goto RemoteSysopExit
if errorlevel 3 goto SysopExit
if errorlevel 2 goto CrashExit
if errorlevel 1 goto TimeExit
rem CTDL will never normally exit with an errorlevel of 0, so, if it does,
rem assume a crash.
:CrashExit
rem Save the audit and crash files for later, then delete them.
copy audit. xxxx.xxx
copy crash. yyyy.yyy
del crash.
del audit.
:DoConfg
rem Run CONFG in the unattended mode for fastest execution.
confg unattended
rem If something was badly wrong, CONFG will exit with a non-zero errorlevel.
if errorlevel 1 goto end
goto top
:RemoteSysopExit
rem Remote Sysop exits shouldn't shut the system down (unless you want it that
rem way), so we save the audit file, just in case, delete CTDLTABL.SYS to
rem force a re-confg, and start over.
copy audit. xxxx.xxx
del ctdltabl.sys
goto top
:SysopExit
rem A local Sysop exit means that the Sysop wants to take the system down.
rem So, we end the batch file.
:end
